int bc;
int xswitch=0;
int xswitch_to=0;
int yswitch=0;
unsigned char *yswitch_to;
int show=0;
int xwidth, xheight;
int show_number=0;

int list=0;
int list_nr=0;

static void do_options(int xc, char *xv[])
{
    for (;;) {
        if (-1 == (bc = getopt(xc, xv, "sm:x:nl:h")))
            break;
        switch (bc) {
	    case 's':
	        show=1;
		break;
	    case 'm':
		if (yswitch == 1) {
		    fprintf(stderr,"[xvidmode] error in commandline\n");
		    fprintf(stderr,"[xvidmode] you can't use -x and -m at the same time.\n");
		    exit(1);
		}		    
		xswitch=1;
	        xswitch_to = atoi(optarg);
		break;
	    case 'x':
		if (xswitch == 1) {
		    fprintf(stderr,"[xvidmode] error in commandline\n");
		    fprintf(stderr,"[xvidmode] you can't use -m and -x at the same time.\n");
		    exit(1);
		}		    
		yswitch=1;
		yswitch_to = optarg;
		if (2 != sscanf(yswitch_to,"%d x %d",&xwidth,&xheight)) {
            	    fprintf(stderr,"[xvidmode] error in commandline -m%s: bad mode\n",yswitch_to);
		    exit(1);
	        }
		break;
	    case 'n':
	        show_number=1;
		break;
	    case 'l':
		list=1;
	        list_nr = atoi(optarg);
		break;
	    case 'h': 
	    default:
		printf("\n* xvidmode 1.0 by kLoGraFX / Adam Kopacz\n");
		printf("* http://www.idnet.de/~AdamK  (Adam.K@idnet.de)\n\n");
		printf("usage:\t-m[nr] -x[XxY] -s -h\n\n");
		printf("\t-m[x]\t change mode to modeline number [x]\n");
		printf("\t-x[XxY]\t change mode to mode X*Y\n");
		printf("\t-s\t no/small output\n");
		printf("\t-h\t this help screen\n\n");
		printf("examples:\n");
		printf("xvidmode -m3 -s\n\t");
		printf("to change to modeline number 3 without any outputs.\n");
		printf("xvidmode -x800x600\n\t");
		printf("to change to mode 800x600\n\n");
        	exit(0);
        }
    }
}
